Wireshark-dev: Re: [Wireshark-dev] wireshark-0.99.2 and OpenBSD 3.9
Date: Mon, 07 Aug 2006 07:03:40 +0000
Serendipitously, I just happened to look into getting Wireshark onto OpenBSD 3.9 
this past weekend.  I stumbled across this thread, & have only now subscribed to 
this list;  hence I am unable to reply to the thread as I would like.

As opposed to the 50+ undefined references mentioned in Dale Carstensen's 
original message, I am getting 14 messages on gcryptlib calls & 1 gpg_strerror 
reference.

> I am writing down all of the packages that are needed to compile 
> Wireshark on OpenBSD.  Is there already a list of dependencies 
> somewhere?  

Information which has been posted to the [email protected] mailing list may be of 
interest to you:

http://www.cromwell-intl.com/unix/openbsd-dell.html

I had all relevant packages installed before compiling 0.99.2.

> Dale - I installed a fresh copy of OpenBSD with all the sets and the 
> dependencies and the latest SVN build works fine.

Thanks for posting this information.  I will investigate downloading the latest 
source from the Subversion repository which will take care of the undefined 
references I'm experiencing.

Jim